package tkio.controller;

import common.model.BackVisit;
import common.model.Payment;
import common.model.Reminder;
import common.model.User;
import common.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import security.annotation.CurrentAccount;
import tkio.service.TkioAccountService;
import util.ResultModel;

/**
 * Created by mxq on 2017/12/21.
 */
@Controller
@RequestMapping("marketing/accountmng/tkio")
public class TkioAccountController {

    @Autowired
    TkioAccountService tkioAccountService;

    //客户列表
    @RequestMapping(value = "/findAll", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel find(@CurrentAccount User loginAccount) {
        return ResultModel.OK(tkioAccountService.findAll(loginAccount));
    }

    //关闭到期提醒
    @RequestMapping(value = "/forbiden/", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel forbiden(@CurrentAccount User loginAccount, @RequestBody Reminder resource) {
        tkioAccountService.forbiden(loginAccount, resource);
        return ResultModel.OK();
    }

    //开启到期提醒
    @RequestMapping(value = "/enable/", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel enable(@CurrentAccount User loginAccount, @RequestBody Reminder resource) {
        tkioAccountService.enable(loginAccount, resource);
        return ResultModel.OK();
    }

    //缴费
    @RequestMapping(value = "/pay/", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel pay(@CurrentAccount User loginAccount, @RequestBody Payment resource) {
        tkioAccountService.pay(loginAccount, resource);
        return ResultModel.OK();
    }

    //回访
    @RequestMapping(value = "/visit/", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel visit(@CurrentAccount User loginAccount, @RequestBody BackVisit resource) {
        tkioAccountService.visit(loginAccount, resource);
        return ResultModel.OK();
    }

    @RequestMapping(value = "/update/{id}", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel updateName(@CurrentAccount User loginAccount, @RequestParam String name, @PathVariable Long id) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "/update/{id}/pwd", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel updatePwd(@CurrentAccount User loginAccount, @RequestParam String pwd, @PathVariable Long id) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "/update/pwd", method = RequestMethod.PUT)
    @ResponseBody
    public ResultModel updatePwd(@RequestParam String email, @RequestParam String pwd) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "forget/", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel sengCode(@RequestParam String email) {

        return ResultModel.OK();
    }

    @RequestMapping(value = "valid/code", method = RequestMethod.GET)
    @ResponseBody
    public ResultModel validCode(@RequestParam String email, @RequestParam String code) {

        return ResultModel.OK();
    }
}
